fix: gen-migrations
All checks were successful
gen-migrations / gen-migrations (push) Successful in 1m29s

This commit is contained in:
Orion Kindel 2023-07-20 13:21:29 -05:00
parent d5749b0cde
commit 43d2f59944
Signed by untrusted user who does not match committer: orion
GPG Key ID: 6D4165AE4C928719

View File

@ -35,9 +35,6 @@ if [[ ! -f "$migration" ]]; then
./scripts/build.sh base "$base" 1>&2 || (echo "base failed to build" && exit 1)
./scripts/build.sh head "$head" 1>&2 || (echo "head failed to build" && exit 1)
until pg_isready --quiet -U "$POSTGRES_USER" -p 5432 && \
pg_isready --quiet -U "$POSTGRES_USER" -p 5433; do true; done;
migra --unsafe "$(db 5432)" "$(db 5433)" || echo "migra exited with code $?. this is /probably/ fine" 1>&2
else
cat "$migration"